Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 248325 - (CVE-2007-3105) CVE-2007-3105 Bound check ordering issue in random driver
CVE-2007-3105 Bound check ordering issue in random driver
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=vendorsec,reported=...
: Security
Depends On: 275941 275951 275961 275971
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 01:15 EDT by Marcel Holtmann
Modified: 2007-11-01 09:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 09:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0939 normal SHIPPED_LIVE Important: kernel security update 2008-01-07 13:58:13 EST
Red Hat Product Errata RHSA-2007:0940 normal SHIPPED_LIVE Important: kernel security update 2007-10-22 06:52:41 EDT

  None (edit)
Description Marcel Holtmann 2007-07-16 01:15:59 EDT
Bug reported by the PaX Team <pageexec@freemail.hu>

If root raised the default wakeup threshold over the size of the
output pool, the pool transfer function could overflow the stack with
RNG bytes, causing a DoS or potential privilege escalation.

Note You need to log in before you can comment on or make changes to this bug.